angular.module('controls').directive('kkHistorySwitcher', ['core', 'utils', 'state', function(core, utils, state) {

	return {

		restrict: 'E',
		scope: {},
		template: '\
		<div class="btn-group">\
			<div class="btn no-bg" ng-class="{ disabled: !state.history.backPossible() }" title="Vorheriges Drop{{backInfo()}}" ng-click="historyBack()">\
				<small><i class="icon-angle-left"></i></small>\
			</div>\
			<div class="btn no-bg" ng-class="{ disabled: !state.history.forwardPossible() }" title="Nächstes Drop{{forwardInfo()}}" ng-click="historyForward()">\
				<small><i class="icon-angle-right"></i></small>\
			</div>\
		</div>',

		link: function(scope, elem, attrs) {

			scope.state = state;

			scope.backInfo = function() {
				var drop = state.history.back(true);
				return (drop ? ' (' + utils.Group.baseName(drop._internal.name) + ')' : '');
			};

			scope.forwardInfo = function() {
				var drop = state.history.forward(true);
				return (drop ? ' (' + utils.Group.baseName(drop._internal.name) + ')' : '');
			};

			scope.historyBack = function() {
				var drop = state.history.back();
				if (drop) {
					utils.Drops.activateDrop(drop, true);
				}
			};

			scope.historyForward = function() {
				var drop = state.history.forward();
				if (drop) {
					utils.Drops.activateDrop(drop, true);
				}
			};
			
			scope.$watchCollection(
				function() { return core.settings.drops; }, 
				function() { state.history.cleanup(); }
			);
			
		}
	};
}]);