ace.define('ace/mode/drop_highlight_rules', function(require, exports, module) {
	var oop = require("ace/lib/oop");
	var ParentHighlightRules = require("ace/mode/html_highlight_rules").HtmlHighlightRules;

	var DropHighlightRules = function() {
		this.$rules = new ParentHighlightRules().getRules();
		this.$rules["start"].unshift({
			token: "drop",
			regex: "\\[drop [a-f|0-9]{8}-[a-f|0-9]{4}-[a-f|0-9]{4}-[a-f|0-9]{4}-[a-f|0-9]{12}\\]",
			next: "start"
		});
	};

	oop.inherits(DropHighlightRules, ParentHighlightRules);
	exports.DropHighlightRules = DropHighlightRules;
});

ace.define('ace/mode/drop', function(require, exports, module) {
	var oop = require("ace/lib/oop");
	var ParentMode = require("ace/mode/html").Mode;
	var DropHighlightRules = require("ace/mode/drop_highlight_rules").DropHighlightRules;

	var Mode = function() {
		ParentMode.call(this);
		this.HighlightRules = DropHighlightRules;
    };

	oop.inherits(Mode, ParentMode);

	(function() {
		this.$id = "ace/mode/drop";
	}).call(Mode.prototype);

	exports.Mode = Mode;
});