angular.module('app').controller('LanguageModalController', ['$modalScope', 'template', 'dropperUserLang', 'environment', function($modalScope, template, dropperUserLang, environment){
	$modalScope.template = template;
	$modalScope.langSettings = $.extend(true, {}, template.lang, dropperUserLang);
	$modalScope.environment = environment;
	$modalScope.activeLang = environment.getActiveLang();
	$modalScope.langSearch = {value: ""};

	$modalScope.setActiveLang = function(lang){
		$modalScope.activeLang = lang;
	}

	$modalScope.isUserChanged = function(key){
		var lang = $modalScope.activeLang.cISO;
		var diff = $modalScope.diff(template.lang, $modalScope.langSettings);
		if(diff[key] && angular.isString(diff[key][lang])) return true;
		return false;
	}

	$modalScope.resetToOriginal = function(key){
		var lang = $modalScope.activeLang.cISO;
		$modalScope.langSettings[key][lang] = template.lang[key][lang];		
	}

	$modalScope.diff = function(oldObj, newObj){
		var original = $.extend(true, {}, oldObj);
		var changed = $.extend(true, {}, newObj);

		for(var key in changed){
			if(angular.isArray(changed[key]) || angular.isObject(changed[key])){
				changed[key] = $modalScope.diff(original[key], changed[key]);
				// empty?
				if(!Object.keys(changed[key]).length){
					delete changed[key];
				}
			}
			else if(changed[key] !== original[key]){
				// yes, this is indeed a change, leave it as is
			} else {
				delete(changed[key]);
			}
		}

		return changed;
	}
	
	$modalScope.shouldShowSearch = function(){
		return (Object.keys($modalScope.langSettings).length > 10);
	}
}]);