angular.module('app').controller('NewDropModalController', ['$modalScope', '$element', 'core', 'utils', 'modal', 'state', function($modalScope, $element, core, utils, modal, state){
	$modalScope.core = core;
	$modalScope.utils = utils;
	$modalScope.search = "";
	$modalScope.droplets = null;

	// remove hidden or unlicensed templates from selection
	$modalScope.filterTemplates = function(templates, addable) {
		var filtered = {};	
		for (var templateId in templates) {
			if (addable === true || addable === false) {
				var canAdd = utils.Drops.canAddDrop(templateId);
				if (addable === true && !canAdd) continue;
				if (addable === false && canAdd) continue;
			}
			var template = templates[templateId];
			if (template && template.hidden) continue;
			filtered[templateId] = template;
		}
		return filtered;
	};

	// set search focus
	setTimeout(function(){
		$element.find('.search').get(0).focus();
	}, 350);
	
	// do we have needed droplets installed?
	if (core.templates.KK_Droplet) {

		// load droplets (only templates, not instances)
		var droplets = core.settings.drops.filter(function(drop) {
			return utils.Drops.isDropletTemplate(drop);
		});
		droplets.sort(function(a, b) {
			if (a._template.name < b._template.name) return -1;
			if (a._template.name > b._template.name) return 1;
			return 0;
		});

		// make it accessible		
		$modalScope.droplets = droplets;
	}

	$modalScope.showPackageManager = function(){
		$modalScope.close();
		modal.show('PackageManagerModal', null, {"overviewMode": "store", "mode": null, "package": null});
	};
	
}]);