conditional['OrderStep'] = {
	
	description: 'Erlaubt das filtern nach Bestellschritten (Aktuelle Seite)',
	name: 'Bestellschritt',
	
	section: "Global",
	sort: 70,

	config: [{
		options: [
			{value: 'cart', label: 'Warenkorb'},
			{value: 'register', label: 'Registrierung'},
			{value: 'account-choice', label: 'Accountwahl'},
			{value: 'order-unregistered', label: 'Unregistriert Bestellen'},
			{value: 'billing-address', label: 'Rechnungsadresse'},
			{value: 'delivery-address', label: 'Lieferadresse'},
			{value: 'shipping-method', label: 'Versandart'},
			{value: 'billing-method', label: 'Zahlungsart'},
			{value: 'confirmation', label: 'Bestellübersicht'}
		],
		type: 'multiselect',
		property: 'pages'
	}],
	evaluateToSmarty: function(filter){

		if(!filter.pages || filter.pages.length == 0){
			return false;
		}
		
		var map = {
			'cart':					'$nSeitenTyp eq 3',
			'register':				'$nSeitenTyp eq 10',
			'account-choice':		'!empty($step) and $step|lower eq "accountwahl"',
			'order-unregistered':	'!empty($step) and $step|lower eq "unregistriert bestellen"',
			'billing-address':		'isset($bestellschritt[1]) and $bestellschritt[1] eq 1',
			'delivery-address':		'isset($bestellschritt[2]) and $bestellschritt[2] eq 1',
			'shipping-method':		'isset($bestellschritt[3]) and $bestellschritt[3] eq 1',
			'billing-method':		'isset($bestellschritt[4]) and $bestellschritt[4] eq 1',
			'confirmation':			'isset($bestellschritt[5]) and $bestellschritt[5] eq 1'
		};

		var exp = '';

		for(var i=0; i<filter.pages.length; i++){
			var page = filter.pages[i];
			if(typeof(map[page]) === 'undefined') continue;
			exp = exp + '(' + map[page] + ')';
			if(i < filter.pages.length-1){
				exp += ' or ';
			}
		}
		return exp;
	}
};