conditional['Pagetype'] = {
	description: 'Erlaubt das filtern nach bestimmten Seitentypen (Aktuelle Seite)',
	name: 'Seitentyp',
	
	section: "Global",
	sort: 10,

	config: [{
		options: [
			{value: 1, label: 'Artikeldetails'},
			{value: 2, label: 'Artikelliste'},
			{value: 3, label: 'Warenkorb'},
			{value: 4, label: 'Mein Konto'},
			{value: 5, label: 'Kontakt'},
			{value: 6, label: 'Umfrage'},
			{value: 7, label: 'News'},
			{value: 7001, label: 'Newsübersicht'},
			{value: 7002, label: 'Newsbeitrag'},
			{value: 8, label: 'Newsletter'},
			{value: 9, label: 'Login'},
			{value: 10, label: 'Registrierung'},
			{value: 11, label: 'Bestellvorgang'},
			{value: 11, label: 'Bewertung'},
			{value: 13, label: 'Druckansicht'},
			{value: 14, label: 'Passwort vergessen'},
			{value: 15, label: 'Wartung'},
			{value: 16, label: 'Wunschliste'},
			{value: 17, label: 'Vergleichsliste'},
			{value: 18, label: 'Startseite'},
			{value: 19, label: 'Versand'},
			{value: 20, label: 'AGB'},
			{value: 21, label: 'Datenschutz'},
			{value: 22, label: 'Tagging'},
			{value: 23, label: 'Livesuche'},
			{value: 24, label: 'Hersteller'},
			{value: 25, label: 'Sitemap'},
			{value: 26, label: 'Gratis Geschenk '},
			{value: 27, label: 'WRB'},
			{value: 28, label: 'Plugin'},
			{value: 29, label: 'Newsletterarchiv'},
			//{value: 30, label: 'Newsarchiv'}, NOT IMPLEMENTED BY THE SHOP?!
			{value: 31, label: 'Eigene Seite'},
			{value: 32, label: 'Auswahlassistent'},
			{value: 33, label: 'Bestellabschluss'},
			{value: 34, label: 'Warenrücksendung'},
			{value: 404, label: '404'}
		],
		type: 'multiselect',
		property: 'pages'
	}],
	
	evaluateToSmarty: function(filter) {
		// this could be one ore more categories to match... loop and build a smarty expression
		// we can use.
		if (!filter.pages || filter.pages.length == 0) {
			return false;
		}
		
		// virtual (special) page types that make sense for us, but not technically expressed by nSeitenTyp...
		var specialMappings = {
			7001: '$nSeitenTyp eq 7 and !isset($NaviFilter->News->kNews)',	// Newsübersicht
			7002: '$nSeitenTyp eq 7 and !empty($NaviFilter->News->kNews)',	// Newsbeitrag
			404: '$nSeitenTyp eq 25 and !empty($bSeiteNichtGefunden)'		// 404 Seite
		};

		var exp = '';
		for (var i=0; i<filter.pages.length; i++) {
			var val = filter.pages[i];
			var expPart = specialMappings[val] 
							? specialMappings[val] 
							: ('$nSeitenTyp eq ' + val);
			
			exp = exp + '(' + expPart + ')';
			if (i < filter.pages.length-1) {
				exp += ' or ';			
			}
		}

		return exp;
	}
};